%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-decorator
Version:	3.0.1
Release:	2
Summary:	Module to simplify usage of decorators
Group:		Development/Languages
License:	BSD
URL:		http://www.phyast.pitt.edu/~micheles/python/documentation.html
Source0:	http://pypi.python.org/packages/source/d/decorator/decorator-%{version}.tar.gz
Patch0:		decorator-3.0.1-doctest.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	python%{PVER}-nose
Provides:	python-decorator = %{version}-%{release}
Obsoletes:	python-decorator <= %{version}-%{release}
Obsoletes:	python25-decorator <= %{version}-%{release}

%description
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.

%prep
%setup -q -n decorator-%{version}
%patch0 -p1 -b .doctest
chmod a-x *.txt *.py
%{__sed} -i 's/\r//' README.txt

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc *.txt
%{python_sitelib}

%changelog
* Mon Nov 16 2009 Christian Wasem <wasem@ccux-linux.de> 3.0.1-2
- rebuild against python26-2.6.3-1
* Sat Oct 31 2009 Christian Wasem <wasem@ccux-linux.de> 3.0.1-1
- Initial CCux Release
